Subject: Re: [PATCH] ppc32: add CONFIG_HZ

From: Dan Malek <[email-masked]>
Date: Fri, 26 Aug 2005 16:13:04 -0400

On Aug 26, 2005, at 3:15 PM, Kumar Gala wrote:

> While ppc32 has the CONFIG_HZ Kconfig option, it wasnt actually being
> used. Connect it up and set all platforms to 250Hz.  This pretty much
> mimics the ppc64 patch from Anton Blanchard.

Why do we keep cranking up this clock frequency?  Do we really need
it running that fast?  Is it time for someone with RTOS experience to
implement a real scheduled clock queue in Linux instead of just
wasting interrupts decrementing a counter waiting for the next
event to expire?  :-)  If the user "ticks" are still 100 Hz, don't we 
need
something that is an integer multiple of that for at least an attempt
at getting it close to what a user would request?

Thanks.

	-- Dan